tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lazar Kirchev <lazar.kirc...@gmail.com>
Subject Re: Using ServletContainerInitializer for 2.5 applications
Date Wed, 11 Apr 2012 13:41:48 GMT
On Wed, Apr 11, 2012 at 3:54 PM, Caldarale, Charles R <
Chuck.Caldarale@unisys.com> wrote:

> > From: Lazar Kirchev [mailto:lazar.kirchev@gmail.com]
> > Subject: Re: Using ServletContainerInitializer for 2.5 applications
>
> > I want the ServletContainerInitializer to be called for all applications
> I
> > deploy, not only with web.xml version 3.0, but also with lower version.
> Is
> > this possible?
>
> Simply put, no.  ServletContainerInitializer doesn't exist in the 2.5 spec
> and thus cannot be used with webapps written to that version of the spec.
>
>  - Chuck
>


Actually I have created a shared library, which extends the web container.
This library provides an implementation of the ServletContainerInitializer
interface according to the servlet 3.0 specification - chapter 8.2.4,
Shared libraries / runtimes pluggability.

I expect the ServletContainerInitializer to be called for each web
application, deployed in the web container. However, it gets called only if
the version of the web.xml of the deployed application is 3.0.

Is this according to the specification? After all, the library extends the
container itself and not a particular application.

>
>
> THIS COMMUNICATION MAY CONTAIN CONFIDENTIAL AND/OR OTHERWISE PROPRIETARY
> MATERIAL and is thus for use only by the intended recipient. If you
> received this in error, please contact the sender and delete the e-mail and
> its attachments from all computers.
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
> For additional commands, e-mail: users-help@tomcat.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message